SQLite3::__construct
SQLite3::createCollation
SQLite3
PHP Manual

# SQLite3::createAggregate

Registers a PHP function for use as an SQL aggregate function

### Description

public bool SQLite3::createAggregate ( string `$name` , mixed `$step_callback` , mixed `$final_callback` [, int `$argument_count` = -1 ] )

Registers a PHP function or user-defined function for use as an SQL aggregate function for use within SQL statements.

### Parameters

`name`

  Name of the SQL aggregate to be created or redefined.

`step_callback`

  The name of a PHP function or user-defined function to apply as a callback for every item in the aggregate.

`final_callback`

  The name of a PHP function or user-defined function to apply as a callback at the end of the aggregate data.

`argument_count`

  The number of arguments that the SQL aggregate takes. If this parameter is negative, then the SQL aggregate may take any number of arguments.

### Return Values

Returns `TRUE` upon successful creation of the aggregate, `FALSE` on failure.